<div style="margin-top: 20px;">
    <div class="container">
        <div style="margin-top: 20px;">
            <div class="col-md-12" align="right">
                    <button pButton type="button" class="ui-button-default btn-sm" label="DROP" (click)="drop()"></button>
                <button pButton type="button" class="ui-button-default btn-sm" label="CLEAR" (click)="clear()"></button>
                <button pButton type="button" class="ui-button-primary btn-sm" label="ASSIGN" (click)="assign()" [disabled]="selected?.length == 0"></button>
                <button pButton type="button" class="ui-button-primary btn-sm" label="SEARCH" (click)="doSearch()"></button>
            </div>
            <p-dataTable
                [value]="prospectKorsals"
                [editable]="true"
                [rows]="itemsPerPage"
                [paginator]="true"
                [pageLinks]="5"
                [rowsPerPageOptions]="[10,15,20]"
                [totalRecords]="totalItems"
                [responsive]="true"
                [lazy]="true"
                dataKey="idProspect"
                expandableRows="false"
                (onLazyLoad)="loadDataLazy($event)"
                [(selection)]="selected">
                <p-header>
                    
                </p-header>
                <p-column selectionMode="multiple" [style]="{'width':'38px'}"></p-column>       
                <p-column header="{{'mpmApp.prospectKorsal.labelSequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
                    <ng-template let-rowIndex="rowIndex" pTemplate="body">
                        {{rowIndex + 1}}
                    </ng-template>
                </p-column>
                <p-column header="">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <a title="Detail" [routerLink]="['../prospect-korsal/'+ rowData.id + '/detail']">
                        <div class="row">
                            <div class="ui-g-12 ui-md-12">
                                <div class="ui-g">
                                    <div class="ui-g-6 ui-sm-6"> {{rowData.person.firstName}} {{rowData.person.lastName}} </div>
                                    <div class="ui-g-6 ui-sm-6">
                                        <div *ngIf="(rowData.person.workTypeId == null);then nojob else jobhere"></div>
                                        <ng-template #nojob><i>No Job | </i></ng-template>
                                        <ng-template #jobhere>{{rowData.person.workTypeDescription}} | </ng-template>

                                        <div *ngIf="(rowData.person.postalAddress.districtId == null);then nodistrict else districthere"></div>
                                        <ng-template #nodistrict><i>No District</i></ng-template>
                                        <ng-template #districthere>{{rowData.person.postalAddress.districtName}}</ng-template>
                                    </div>
                                </div>
                            </div>
                        </div>
                        </a>
                    </ng-template>
                </p-column>
                <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
                </ng-template>
            </p-dataTable>
        </div>
    </div>
</div>
<div style="margin-top: 10px;"></div>

<p-dialog header="Assign To" [(visible)]="display" modal="modal" width="600" [responsive]="true">
        <div class="form-group">
                <label for="field_salesman">Team Leader </label>
                <select class="form-control" id="field_teamleader" name="teamleader" [(ngModel)]="selectedTeamLeader" [disabled]="selectedSales" (change)="please()">
                    <option [ngValue]="null"></option>
                    <option [ngValue]="teamLeaderOption.idPartyRole" *ngFor="let teamLeaderOption of teamLeader">{{teamLeaderOption.name}}</option>
                </select>
        </div>
        <div class="form-group">
            <label jhiTranslate="mpmApp.prospect.salesman" for="field_salesman">Salesman</label>
            <select class="form-control" id="field_salesman" name="salesman" [(ngModel)]="selectedSales" [disabled]="selectedTeamLeader"  (change)="pleases()">
                <option [ngValue]="null"></option>
                <option [ngValue]="salesmanOption.idPartyRole" *ngFor="let salesmanOption of salesmen; trackBy: trackSalesmanById">{{salesmanOption.name}}</option>
            </select>
        </div>
       <p-footer>

            <button type="button" pButton icon="fa-check" (click)="assignTeamleader()" label="Yes" *ngIf="selectedTeamLeader"></button>
            <button type="button" pButton icon="fa-check" (click)="assignSalesman()"  label="Yes" *ngIf="selectedSales"></button>
        </p-footer>
</p-dialog>

<p-dialog [(visible)]="isCompleted" closable="true" responsive="true" width="720" modal="true">
    <div class="ui-g">
        <div class="ui-lg-12">
            <label> Assign Berhasil!!</label>
        </div>
    </div>
</p-dialog>

<p-dialog header="Filter" [(visible)]="displaySearch" closable="true" responsive="true" modal="true" width="720">
        <div class="row">
            <div class="col-md-4 col-sm-4">
                <label jhiTranslate="mpmApp.prospect.salesman" for="field_salesman">Salesman</label>
            </div>
            <div class="col-md-8 col-sm-8">
                <div class="form-group">
                    <select class="form-control" id="field_salesman" name="salesman" [(ngModel)]="selectedSalesman" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="salesmanOption.idPartyRole" *ngFor="let salesmanOption of salesmen; trackBy: trackSalesmanById">{{salesmanOption.name}}</option>
                    </select>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-md-4 col-sm-4">
                <label class="form-control-label" jhiTranslate="mpmApp.person.workType" for="field_workType">Work Type</label>
            </div>
            <div class="col-md-8 col-sm-8">
                <div class="form-group">
                    <select class="form-control" id="field_workType" name="workType" [(ngModel)]="selectedWorkType">
                        <option [ngValue]="null"></option>
                        <option [ngValue]="workTypeOption.idWorkType" *ngFor="let workTypeOption of worktypes; trackBy: trackWorkTypeById">{{workTypeOption.description}}</option>
                    </select>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-md-4 col-sm-4">
                <label class="form-control-label" jhiTranslate="mpmApp.person.district" for="field_district">district</label>
            </div>
            <div class="col-md-8 col-sm-8">
                <div class="form-group">
                    <jhi-district-view-net
                        [district] = "selectedDistrict" city="none" on-select="getDistrict($event)"
                    ></jhi-district-view-net>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-md-4 col-sm-4">
                <label jhiTranslate="mpmApp.communicationEventProspect.saleType" for="field_saleType">Sale Type</label>
            </div>
            <div class="col-md-8 col-sm-8">
                <div class="form-group">
                    <select class="form-control" id="field_saleType" name="saleType" [(ngModel)]="selectedSaleType" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="saleTypeOption.idSaleType" *ngFor="let saleTypeOption of saletypes">{{saleTypeOption.description}}</option>
                    </select>
                </div>
            </div>
        </div>
        <p-footer>
            <button type="button" pButton icon="fa-check" (click)="search()" label="Search"></button>
        </p-footer>
</p-dialog>

<p-dialog [(visible)]="isDrop" closable="true" responsive="true" width="360" modal="true">
        <div>
            <div class="ui-g">
                <div class="ui-lg-12">
                    <label> {{total}} Data Berhasil di Drop </label>
                </div>
            </div>
        </div>
</p-dialog>

<p-dialog [(visible)]="isAssignTeamLeader" closable="true" responsive="true" width="360" modal="true">
    <div>
        <div class="ui-g">
            <div class="ui-lg-12">
                <label> {{total}} Data Berhasil di Distribusi </label>
            </div>
            <button type="button" pButton icon="fa-check" [routerLink]="['../prospect-korsal-grid-list/'+ korsname + '/details-tl']" label="Yes"></button>
        </div>
    </div>
</p-dialog>

<p-dialog [(visible)]="isAssignSalesman" closable="true" responsive="true" width="360" modal="true">
    <div>
        <div class="ui-g">
            <div class="ui-lg-12">
                <label> {{total}} Data Berhasil di Distribusi </label>
            </div>
            <button type="button" pButton icon="fa-check"  [routerLink]="['../prospect-korsal-grid-list/'+ korsnames + '/details']" label="Yes"></button>
        </div>
    </div>
</p-dialog>